From fb5ce8bdc46fe5f40b217d09b618fbcbdcea11a5 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Tue, 8 Jul 2025 16:58:30 +0300
Subject: [PATCH 80/80] settings.[ch]: Improve coding style

See RM #1589

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 server/settings.c | 685 ++++++++++++++++++++++++----------------------
 server/settings.h |  10 +-
 2 files changed, 370 insertions(+), 325 deletions(-)

diff --git a/server/settings.c b/server/settings.c
index 735276935d..6d3682fe1e 100644
--- a/server/settings.c
+++ b/server/settings.c
@@ -119,7 +119,7 @@ struct setting {
   enum sset_level slevel;
 
   /*
-   * About the *_validate functions: If the function is non-NULL, it
+   * About the *_validate functions: If the function is non-nullptr, it
    * is called with the new value, and returns whether the change is
    * legal. The char * is an error message in the case of reject.
    */
@@ -204,7 +204,7 @@ int settings_list_cmp(const struct setting *const *pset1,
                       const struct setting *const *pset2);
 
 #define settings_snprintf(_buf, _buf_len, format, ...)                      \
-  if (_buf != NULL) {                                                       \
+  if (_buf != nullptr) {                                                    \
     fc_snprintf(_buf, _buf_len, format, ## __VA_ARGS__);                    \
   }
 
@@ -239,7 +239,7 @@ static const struct sset_val_name *caravanbonusstyle_name(int caravanbonus)
   NAME_CASE(CBS_LOGARITHMIC, "LOGARITHMIC", N_("Log^2 N style"));
   }
 
-  return NULL;
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -253,7 +253,8 @@ static const struct sset_val_name *mapsize_name(int mapsize)
   NAME_CASE(MAPSIZE_PLAYER, "PLAYER", N_("Tiles per player"));
   NAME_CASE(MAPSIZE_XYSIZE, "XYSIZE", N_("Width and height"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -266,7 +267,7 @@ static const struct sset_val_name *topology_name(int topology_bit)
   NAME_CASE(TF_HEX, "HEX", N_("Hexagonal"));
   }
 
-  return NULL;
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -279,7 +280,7 @@ static const struct sset_val_name *wrap_name(int wrap_bit)
   NAME_CASE(WRAP_Y, "WRAPY", N_("Wrap North-South"));
   }
 
-  return NULL;
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -293,7 +294,7 @@ static const struct sset_val_name *traderevenuestyle_name(int revenue_style)
   NAME_CASE(TRS_SIMPLE, "SIMPLE", N_("Proportional to tile trade"));
   }
 
-  return NULL;
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -309,7 +310,8 @@ static const struct sset_val_name *generator_name(int generator)
   NAME_CASE(MAPGEN_FAIR, "FAIR", N_("Fair islands"));
   NAME_CASE(MAPGEN_FRACTURE, "FRACTURE", N_("Fracture map"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -329,7 +331,8 @@ static const struct sset_val_name *startpos_name(int startpos)
   NAME_CASE(MAPSTARTPOS_VARIABLE, "VARIABLE",
             N_("Depending on size of continents"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -349,7 +352,8 @@ static const struct sset_val_name *teamplacement_name(int team_placement)
   NAME_CASE(TEAM_PLACEMENT_VERTICAL, "VERTICAL",
             N_("Vertical placement"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -364,7 +368,7 @@ static const struct sset_val_name *persistentready_name(int persistent_ready)
             N_("As long as connected"));
   }
 
-  return NULL;
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -395,7 +399,7 @@ static const struct sset_val_name *autosaves_name(int autosaves_bit)
   NAME_CASE(AS_TIMER, "TIMER", N_("Timer"));
   };
 
-  return NULL;
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -411,7 +415,8 @@ static const struct sset_val_name *borders_name(int borders)
   NAME_CASE(BORDERS_EXPAND, "EXPAND",
             N_("Borders expand to unknown, revealing tiles"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -423,7 +428,8 @@ static const struct sset_val_name *trait_dist_name(int trait_dist)
   NAME_CASE(TDM_FIXED, "FIXED", N_("Fixed"));
   NAME_CASE(TDM_EVEN, "EVEN", N_("Even"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -438,7 +444,8 @@ static const struct sset_val_name *plrcol_name(int plrcol)
   NAME_CASE(PLRCOL_TEAM_ORDER,   "TEAM_ORDER",   N_("Per-team, in order"));
   NAME_CASE(PLRCOL_NATION_ORDER, "NATION_ORDER", N_("Per-nation, in order"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -451,7 +458,8 @@ static const struct sset_val_name *happyborders_name(int happyborders)
   NAME_CASE(HB_NATIONAL, "NATIONAL", N_("Happy within own borders"));
   NAME_CASE(HB_ALLIANCE, "ALLIED", N_("Happy within allied borders"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -469,7 +477,8 @@ static const struct sset_val_name *diplomacy_name(int diplomacy)
   NAME_CASE(DIPLO_FOR_TEAMS, "TEAM", N_("Restricted to teams"));
   NAME_CASE(DIPLO_DISABLED, "DISABLED", N_("Disabled for everyone"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -483,7 +492,8 @@ static const struct sset_val_name *citynames_name(int citynames)
   NAME_CASE(CNM_GLOBAL_UNIQUE, "GLOBAL_UNIQUE", N_("Globally unique"));
   NAME_CASE(CNM_NO_STEALING, "NO_STEALING", N_("No city name stealing"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -498,7 +508,8 @@ static const struct sset_val_name *barbarians_name(int barbarians)
   NAME_CASE(BARBS_FREQUENT, "FREQUENT", N_("Frequent barbarian uprising"));
   NAME_CASE(BARBS_HORDES, "HORDES", N_("Raging hordes"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -512,7 +523,8 @@ static const struct sset_val_name *revolentype_name(int revolentype)
   NAME_CASE(REVOLEN_QUICKENING, "QUICKENING", N_("First time 'revolen', then always quicker"));
   NAME_CASE(REVOLEN_RANDQUICK, "RANDQUICK", N_("Random, max always quicker"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -524,7 +536,8 @@ static const struct sset_val_name *revealmap_name(int bit)
   NAME_CASE(REVEAL_MAP_START, "START", N_("Reveal map at game start"));
   NAME_CASE(REVEAL_MAP_DEAD, "DEAD", N_("Unfog map for dead players"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -542,7 +555,8 @@ static const struct sset_val_name *airliftingstyle_name(int bit)
   NAME_CASE(AIRLIFTING_UNLIMITED_DEST, "DEST_UNLIMITED",
             N_("Unlimited units to destination city"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -556,20 +570,22 @@ static const struct sset_val_name *phasemode_name(int phasemode)
             "PLAYER", N_("All players alternate movement"));
   NAME_CASE(PMT_TEAMS_ALTERNATE, "TEAM", N_("Team alternate movement"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
   Scorelog level names accessor.
 ****************************************************************************/
 static const struct sset_val_name *
-scoreloglevel_name(enum scorelog_level sl_level) 
+scoreloglevel_name(enum scorelog_level sl_level)
 {
   switch (sl_level) {
   NAME_CASE(SL_ALL, "ALL",       N_("All players"));
   NAME_CASE(SL_HUMANS, "HUMANS", N_("Human players only"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -595,7 +611,7 @@ compresstype_name(enum fz_method compresstype)
 #endif
   }
 
-  return NULL;
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -607,12 +623,12 @@ ailevel_name(enum ai_level lvl)
   const char *lvlname;
 
   if (lvl >= AI_LEVEL_AWAY) {
-    return NULL;
+    return nullptr;
   }
 
   lvlname = ai_level_name(lvl);
 
-  if (lvlname != NULL) {
+  if (lvlname != nullptr) {
     static struct sset_val_name name[AI_LEVEL_COUNT];
 
     name[lvl].support = lvlname;
@@ -621,7 +637,7 @@ ailevel_name(enum ai_level lvl)
     return &name[lvl];
   }
 
-  return NULL;
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -633,7 +649,8 @@ static const struct sset_val_name *bool_name(int enable)
   NAME_CASE(FALSE, "DISABLED", N_("disabled"));
   NAME_CASE(TRUE, "ENABLED", N_("enabled"));
   }
-  return NULL;
+
+  return nullptr;
 }
 
 #undef NAME_CASE
@@ -707,7 +724,7 @@ static void aifill_action(const struct setting *pset)
   const char *msg = aifill(*pset->integer.pvalue);
   if (msg) {
     log_normal(_("Warning: aifill not met: %s."), msg);
-    notify_conn(NULL, NULL, E_SETTING, ftc_server,
+    notify_conn(nullptr, nullptr, E_SETTING, ftc_server,
                 _("Warning: aifill not met: %s."), msg);
   }
 }
@@ -719,7 +736,7 @@ static void nationset_action(const struct setting *pset)
 {
   /* If any player's existing selection is invalid, abort it */
   players_iterate(pplayer) {
-    if (pplayer->nation != NULL) {
+    if (pplayer->nation != nullptr) {
       if (!nation_is_in_current_set(pplayer->nation)) {
         (void) player_set_nation(pplayer, NO_NATION_SELECTED);
         send_player_info_c(pplayer, game.est_connections);
@@ -737,7 +754,7 @@ static void nationset_action(const struct setting *pset)
    * accidentally and transiently set to an unintended value.
    * (However, new connections will start out detached.) */
   if (normal_player_count() > server.playable_nations) {
-    notify_conn(NULL, NULL, E_SETTING, ftc_server, "%s",
+    notify_conn(nullptr, nullptr, E_SETTING, ftc_server, "%s",
                 _("Warning: not enough nations in this nation set "
                   "for all current players."));
   }
@@ -753,11 +770,12 @@ static void plrcol_action(const struct setting *pset)
   if (!game_was_started()) {
     if (read_enum_value(pset) != PLRCOL_PLR_SET) {
       players_iterate(pplayer) {
-        server_player_set_color(pplayer, NULL);
+        server_player_set_color(pplayer, nullptr);
       } players_iterate_end;
     }
+
     /* Update clients with new color scheme. */
-    send_player_info_c(NULL, NULL);
+    send_player_info_c(nullptr, nullptr);
   }
 }
 
@@ -769,7 +787,7 @@ static void autotoggle_action(const struct setting *pset)
   if (*pset->boolean.pvalue) {
     players_iterate(pplayer) {
       if (is_human(pplayer) && !pplayer->is_connected) {
-        toggle_ai_player_direct(NULL, pplayer);
+        toggle_ai_player_direct(nullptr, pplayer);
         send_player_info_c(pplayer, game.est_connections);
       }
     } players_iterate_end;
@@ -789,7 +807,8 @@ static void timeout_action(const struct setting *pset)
       /* This may cause the current turn to end immediately. */
       game.tinfo.seconds_to_phasedone = timeout;
     }
-    send_game_info(NULL);
+
+    send_game_info(nullptr);
   }
 }
 
@@ -810,7 +829,8 @@ static void first_timeout_action(const struct setting *pset)
         game.tinfo.seconds_to_phasedone = game.info.timeout;
       }
     }
-    send_game_info(NULL);
+
+    send_game_info(nullptr);
   }
 }
 
@@ -891,7 +911,7 @@ static bool savename_validate(const char *value, struct connection *caller,
 {
   char buf[MAX_LEN_PATH];
 
-  generate_save_name(value, buf, sizeof(buf), NULL);
+  generate_save_name(value, buf, sizeof(buf), nullptr);
 
   if (!is_safe_filename(buf)) {
     settings_snprintf(reject_msg, reject_msg_len,
@@ -912,7 +932,7 @@ static bool generator_validate(int value, struct connection *caller,
 {
   if (map_is_empty()) {
     if (MAPGEN_SCENARIO == value
-        && (NULL != caller || !game.scenario.is_scenario)) {
+        && (caller != nullptr || !game.scenario.is_scenario)) {
       settings_snprintf(reject_msg, reject_msg_len,
                         _("You cannot disable the map generator."));
       return FALSE;
@@ -978,14 +998,14 @@ static bool autosaves_callback(unsigned value, struct connection *caller,
         && !(game.server.autosaves & (1 << AS_TIMER))) {
       game.server.save_timer = timer_renew(game.server.save_timer,
                                            TIMER_USER, TIMER_ACTIVE,
-                                           game.server.save_timer != NULL
-                                           ? NULL : "save interval");
+                                           game.server.save_timer != nullptr
+                                           ? nullptr : "save interval");
       timer_start(game.server.save_timer);
     } else if (!(value & (1 << AS_TIMER))
                && (game.server.autosaves & (1 << AS_TIMER))) {
       timer_stop(game.server.save_timer);
       timer_destroy(game.server.save_timer);
-      game.server.save_timer = NULL;
+      game.server.save_timer = nullptr;
     }
   }
 
@@ -1357,7 +1377,7 @@ static bool topology_callback(unsigned value, struct connection *caller,
 static bool aitype_callback(const char *value, struct connection *caller,
                             char *reject_msg, size_t reject_msg_len)
 {
-  if (ai_type_by_name(value) == NULL) {
+  if (ai_type_by_name(value) == nullptr) {
     settings_snprintf(reject_msg, reject_msg_len,
                       _("No such AI type loaded."));
 
@@ -1412,7 +1432,7 @@ static bool plrcol_validate(int value, struct connection *caller,
 #define GEN_BOOL(name, value, sclass, scateg, slevel, al_read, al_write,    \
                  short_help, extra_help, func_validate, func_action,        \
                  _default)                                                  \
-  {name, sclass, al_read, al_write, short_help, extra_help, NULL, SST_BOOL, \
+  {name, sclass, al_read, al_write, short_help, extra_help, nullptr, SST_BOOL, \
       scateg, slevel,                                                       \
       INIT_BRACE_BEGIN                                                      \
       .boolean = {&value, _default, func_validate, bool_name,               \
@@ -1432,7 +1452,7 @@ static bool plrcol_validate(int value, struct connection *caller,
 #define GEN_STRING(name, value, sclass, scateg, slevel, al_read, al_write, \
                    short_help, extra_help, func_validate, func_action,  \
                    _default)                                            \
-  {name, sclass, al_read, al_write, short_help, extra_help, NULL,       \
+  {name, sclass, al_read, al_write, short_help, extra_help, nullptr,    \
       SST_STRING, scateg, slevel,                                       \
       INIT_BRACE_BEGIN                                                  \
       .string = {value, _default, sizeof(value), func_validate, ""}     \
@@ -1442,7 +1462,7 @@ static bool plrcol_validate(int value, struct connection *caller,
 #define GEN_STRING_NRS(name, value, sclass, scateg, slevel, al_read, al_write, \
                        short_help, extra_help, func_validate, func_action, \
                        _default)                                        \
-  {name, sclass, al_read, al_write, short_help, extra_help, NULL,       \
+  {name, sclass, al_read, al_write, short_help, extra_help, nullptr,    \
       SST_STRING, scateg, slevel,                                       \
       INIT_BRACE_BEGIN                                                  \
       .string = {value, _default, sizeof(value), func_validate, ""}     \
@@ -1463,7 +1483,7 @@ static bool plrcol_validate(int value, struct connection *caller,
 #define GEN_BITWISE(name, value, sclass, scateg, slevel, al_read, al_write, \
                    short_help, extra_help, func_validate, func_action,      \
                    func_name, _default)                                     \
-  { name, sclass, al_read, al_write, short_help, extra_help, NULL,          \
+  { name, sclass, al_read, al_write, short_help, extra_help, nullptr,       \
     SST_BITWISE, scateg, slevel,                                            \
       INIT_BRACE_BEGIN                                                      \
       .bitwise = { (unsigned *) (void *) &value, _default, func_validate,   \
@@ -1490,8 +1510,8 @@ static struct setting settings[] = {
              "- \"Tiles per player\" (PLAYER): Number of (land) tiles per "
              "player (option 'tilesperplayer').\n"
              "- \"Width and height\" (XYSIZE): Map width and height in "
-             "tiles (options 'xsize' and 'ysize')."), NULL,
-          mapsize_callback, NULL, mapsize_name, MAP_DEFAULT_MAPSIZE)
+             "tiles (options 'xsize' and 'ysize')."), nullptr,
+          mapsize_callback, nullptr, mapsize_name, MAP_DEFAULT_MAPSIZE)
 
   GEN_INT("size", wld.map.server.size, SSET_MAP_SIZE,
           SSET_GEOLOGY, SSET_VITAL, ALLOW_NONE, ALLOW_BASIC,
@@ -1506,7 +1526,7 @@ static struct setting settings[] = {
              "  size = 20 is a huge map of 20,000 tiles\n"
              "For this option to take effect, the \"Map size definition\" "
              "option ('mapsize') must be set to \"Number of tiles\" "
-             "(FULLSIZE)."), NULL, NULL, NULL,
+             "(FULLSIZE)."), nullptr, nullptr, nullptr,
           MAP_MIN_SIZE, MAP_MAX_SIZE, MAP_DEFAULT_SIZE)
 
   GEN_INT("tilesperplayer", wld.map.server.tilesperplayer, SSET_MAP_SIZE,
@@ -1523,7 +1543,7 @@ static struct setting settings[] = {
              "For this option to take effect, the \"Map size definition\" "
              "option ('mapsize') must be set to \"Tiles per player\" "
              "(PLAYER)."),
-          NULL, NULL, NULL, MAP_MIN_TILESPERPLAYER,
+          nullptr, nullptr, nullptr, MAP_MIN_TILESPERPLAYER,
           MAP_MAX_TILESPERPLAYER, MAP_DEFAULT_TILESPERPLAYER)
 
   GEN_INT("xsize", wld.map.xsize, SSET_MAP_SIZE,
@@ -1538,7 +1558,7 @@ static struct setting settings[] = {
              "For this option to take effect, the \"Map size definition\" "
              "option ('mapsize') must be set to \"Width and height\" "
              "(XYSIZE)."),
-          NULL, xsize_callback, NULL,
+          nullptr, xsize_callback, nullptr,
           MAP_MIN_LINEAR_SIZE, MAP_MAX_LINEAR_SIZE, MAP_DEFAULT_LINEAR_SIZE)
   GEN_INT("ysize", wld.map.ysize, SSET_MAP_SIZE,
           SSET_GEOLOGY, SSET_VITAL, ALLOW_NONE, ALLOW_BASIC,
@@ -1552,7 +1572,7 @@ static struct setting settings[] = {
              "For this option to take effect, the \"Map size definition\" "
              "option ('mapsize') must be set to \"Width and height\" "
              "(XYSIZE)."),
-          NULL, ysize_callback, NULL,
+          nullptr, ysize_callback, nullptr,
           MAP_MIN_LINEAR_SIZE, MAP_MAX_LINEAR_SIZE, MAP_DEFAULT_LINEAR_SIZE)
 
   GEN_BITWISE("topology", wld.map.topology_id, SSET_MAP_SIZE,
@@ -1636,7 +1656,8 @@ static struct setting settings[] = {
               "of the continents.\n"
               "If the requested generator is incompatible with other server "
               "settings, the server may fall back to another generator."),
-           NULL, generator_validate, NULL, generator_name, MAP_DEFAULT_GENERATOR)
+           nullptr, generator_validate, nullptr, generator_name,
+           MAP_DEFAULT_GENERATOR)
 
   GEN_ENUM("startpos", wld.map.server.startpos,
            SSET_MAP_GEN, SSET_GEOLOGY, SSET_VITAL, ALLOW_NONE, ALLOW_BASIC,
@@ -1671,7 +1692,7 @@ static struct setting settings[] = {
               "create the right number of continents for the choice of this "
               "'startpos' setting and the number of players, so this is "
               "unlikely to occur.)"),
-           NULL, NULL, NULL, startpos_name, MAP_DEFAULT_STARTPOS)
+           nullptr, nullptr, nullptr, startpos_name, MAP_DEFAULT_STARTPOS)
 
   GEN_ENUM("teamplacement", wld.map.server.team_placement,
            SSET_MAP_GEN, SSET_GEOLOGY, SSET_VITAL, ALLOW_NONE, ALLOW_BASIC,
@@ -1696,13 +1717,14 @@ static struct setting settings[] = {
               "team will be placed horizontally.\n"
               "- \"Vertical placement\" (VERTICAL): players of the same "
               "team will be placed vertically."),
-           NULL, NULL, NULL, teamplacement_name, MAP_DEFAULT_TEAM_PLACEMENT)
+           nullptr, nullptr, nullptr, teamplacement_name,
+           MAP_DEFAULT_TEAM_PLACEMENT)
 
   GEN_BOOL("tinyisles", wld.map.server.tinyisles,
            SSET_MAP_GEN, SSET_GEOLOGY, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
            N_("Presence of 1x1 islands"),
            N_("This setting controls whether the map generator is allowed "
-              "to make islands of one only tile size."), NULL, NULL,
+              "to make islands of one only tile size."), nullptr, nullptr,
            MAP_DEFAULT_TINYISLES)
 
   GEN_BOOL("separatepoles", wld.map.server.separatepoles,
@@ -1710,7 +1732,7 @@ static struct setting settings[] = {
            ALLOW_NONE, ALLOW_BASIC,
            N_("Whether the poles are separate continents"),
            N_("If this setting is disabled, the continents may attach to "
-              "poles."), NULL, NULL, MAP_DEFAULT_SEPARATE_POLES)
+              "poles."), nullptr, nullptr, MAP_DEFAULT_SEPARATE_POLES)
 
   GEN_INT("flatpoles", wld.map.server.flatpoles,
           SSET_MAP_GEN, SSET_GEOLOGY, SSET_SITUATIONAL, ALLOW_NONE, ALLOW_BASIC,
@@ -1720,8 +1742,8 @@ static struct setting settings[] = {
              "during map generation, preventing a diversity of land "
              "terrain there. 0 is no flattening, 100 is maximum "
              "flattening. Only affects the 'RANDOM' and 'FRACTAL' "
-             "map generators."), NULL,
-          NULL, NULL,
+             "map generators."), nullptr,
+          nullptr, nullptr,
           MAP_MIN_FLATPOLES, MAP_MAX_FLATPOLES, MAP_DEFAULT_FLATPOLES)
 
   GEN_INT("northlatitude", wld.map.north_latitude,
@@ -1741,8 +1763,8 @@ static struct setting settings[] = {
              " 300 and  -300 gives an equatorial map.\n"
              "\n"
              "In rulesets that support it, latitude may also have certain "
-             "effects during gameplay."), NULL,
-          NULL, NULL,
+             "effects during gameplay."), nullptr,
+          nullptr, nullptr,
           MAP_MIN_LATITUDE_BOUND, MAP_MAX_LATITUDE_BOUND,
           MAP_DEFAULT_NORTH_LATITUDE)
   GEN_INT("southlatitude", wld.map.south_latitude,
@@ -1762,8 +1784,8 @@ static struct setting settings[] = {
              " 300 and  -300 gives an equatorial map.\n"
              "\n"
              "In rulesets that support it, latitude may also have certain "
-             "effects during gameplay."), NULL,
-          NULL, NULL,
+             "effects during gameplay."), nullptr,
+          nullptr, nullptr,
           MAP_MIN_LATITUDE_BOUND, MAP_MAX_LATITUDE_BOUND,
           MAP_DEFAULT_SOUTH_LATITUDE)
 
@@ -1783,15 +1805,15 @@ static struct setting settings[] = {
              " 30 means a cold planet with small tropical zones.\n"
              "  0 means a very cold planet with large polar zones and no "
              "tropics."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           MAP_MIN_TEMPERATURE, MAP_MAX_TEMPERATURE, MAP_DEFAULT_TEMPERATURE)
- 
+
   GEN_INT("landmass", wld.map.server.landpercent,
           SSET_MAP_GEN, SSET_GEOLOGY, SSET_SITUATIONAL,
           ALLOW_NONE, ALLOW_BASIC,
           N_("Percentage of the map that is land"),
           N_("This setting gives the approximate percentage of the map "
-             "that will be made into land."), NULL, NULL, NULL,
+             "that will be made into land."), nullptr, nullptr, nullptr,
           MAP_MIN_LANDMASS, MAP_MAX_LANDMASS, MAP_DEFAULT_LANDMASS)
 
   GEN_INT("steepness", wld.map.server.steepness,
@@ -1800,16 +1822,16 @@ static struct setting settings[] = {
           N_("Amount of hills/mountains"),
           N_("Small values give flat maps, while higher values give a "
              "steeper map with more hills and mountains."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           MAP_MIN_STEEPNESS, MAP_MAX_STEEPNESS, MAP_DEFAULT_STEEPNESS)
 
   GEN_INT("wetness", wld.map.server.wetness,
           SSET_MAP_GEN, SSET_GEOLOGY, SSET_SITUATIONAL,
           ALLOW_NONE, ALLOW_BASIC,
-          N_("Amount of water on landmasses"), 
+          N_("Amount of water on landmasses"),
           N_("Small values mean lots of dry, desert-like land; "
              "higher values give a wetter map with more swamps, "
-             "jungles, and rivers."), NULL, NULL, NULL,
+             "jungles, and rivers."), nullptr, nullptr, nullptr,
           MAP_MIN_WETNESS, MAP_MAX_WETNESS, MAP_DEFAULT_WETNESS)
 
   GEN_BOOL("globalwarming", game.info.global_warming,
@@ -1817,14 +1839,14 @@ static struct setting settings[] = {
            N_("Global warming"),
            N_("If turned off, global warming will not occur "
               "as a result of pollution. This setting does not "
-              "affect pollution."), NULL, NULL,
+              "affect pollution."), nullptr, nullptr,
            GAME_DEFAULT_GLOBAL_WARMING)
 
   GEN_INT("globalwarming_percent", game.server.global_warming_percent,
            SSET_RULES, SSET_GEOLOGY, SSET_VITAL, ALLOW_NONE, ALLOW_BASIC,
            N_("Global warming percent"),
            N_("This is a multiplier for the rate of accumulation of global "
-              "warming."), NULL, NULL, NULL,
+              "warming."), nullptr, nullptr, nullptr,
            GAME_MIN_GLOBAL_WARMING_PERCENT,
            GAME_MAX_GLOBAL_WARMING_PERCENT,
            GAME_DEFAULT_GLOBAL_WARMING_PERCENT)
@@ -1833,14 +1855,14 @@ static struct setting settings[] = {
            SSET_RULES, SSET_GEOLOGY, SSET_VITAL, ALLOW_NONE, ALLOW_BASIC,
            N_("Nuclear winter"),
            N_("If turned off, nuclear winter will not occur "
-              "as a result of nuclear war."), NULL, NULL,
+              "as a result of nuclear war."), nullptr, nullptr,
            GAME_DEFAULT_NUCLEAR_WINTER)
 
   GEN_INT("nuclearwinter_percent", game.server.nuclear_winter_percent,
            SSET_RULES, SSET_GEOLOGY, SSET_VITAL, ALLOW_NONE, ALLOW_BASIC,
            N_("Nuclear winter percent"),
            N_("This is a multiplier for the rate of accumulation of nuclear "
-              "winter."), NULL, NULL, NULL,
+              "winter."), nullptr, nullptr, nullptr,
            GAME_MIN_NUCLEAR_WINTER_PERCENT,
            GAME_MAX_NUCLEAR_WINTER_PERCENT,
            GAME_DEFAULT_NUCLEAR_WINTER_PERCENT)
@@ -1857,10 +1879,10 @@ static struct setting settings[] = {
              "for zero (the default) a seed will be generated randomly, "
              "based on gameseed. If also gameseed is zero, "
              "the map will be completely random."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           MAP_MIN_SEED, MAP_MAX_SEED, MAP_DEFAULT_SEED)
 
-  /* Map additional stuff: huts and specials.  gameseed also goes here
+  /* Map additional stuff: huts and specials. gameseed also goes here
    * because huts and specials are the first time the gameseed gets used (?)
    * These are done when the game starts, so these are historical and
    * fixed after the game has started.
@@ -1875,7 +1897,7 @@ static struct setting settings[] = {
           N_("Game random seed"),
           N_("For zero (the default) a seed will be chosen based "
              "on system entropy or, failing that, the current time."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_SEED, GAME_MAX_SEED, GAME_DEFAULT_SEED)
 
   GEN_INT("specials", wld.map.server.riches,
@@ -1883,7 +1905,7 @@ static struct setting settings[] = {
           N_("Amount of \"special\" resource tiles"),
           N_("Special resources improve the basic terrain type they "
              "are on. The server variable's scale is parts per "
-             "thousand."), NULL, NULL, NULL,
+             "thousand."), nullptr, nullptr, nullptr,
           MAP_MIN_RICHES, MAP_MAX_RICHES, MAP_DEFAULT_RICHES)
 
   GEN_INT("huts", wld.map.server.huts,
@@ -1892,7 +1914,7 @@ static struct setting settings[] = {
           N_("Huts are tile extras that usually may be investigated by "
              "units. "
              "The server variable's scale is huts per thousand tiles."),
-          huts_help, NULL, huts_action,
+          huts_help, nullptr, huts_action,
           MAP_MIN_HUTS, MAP_MAX_HUTS, MAP_DEFAULT_HUTS)
 
   GEN_INT("animals", wld.map.server.animals,
@@ -1901,10 +1923,10 @@ static struct setting settings[] = {
           N_("Number of animals initially created on terrains "
              "defined for them in the ruleset (if the ruleset supports it). "
              "The server variable's scale is animals per "
-             "thousand tiles."), NULL, NULL, NULL,
+             "thousand tiles."), nullptr, nullptr, nullptr,
           MAP_MIN_ANIMALS, MAP_MAX_ANIMALS, MAP_DEFAULT_ANIMALS)
 
-  /* Options affecting numbers of players and AI players.  These only
+  /* Options affecting numbers of players and AI players. These only
    * affect the start of the game and can not be adjusted after that.
    */
   GEN_INT("minplayers", game.server.min_players,
@@ -1913,7 +1935,7 @@ static struct setting settings[] = {
           N_("Minimum number of players"),
           N_("There must be at least this many players (connected "
              "human players) before the game can start."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_MIN_PLAYERS, GAME_MAX_MIN_PLAYERS, GAME_DEFAULT_MIN_PLAYERS)
 
   GEN_INT("maxplayers", game.server.max_players,
@@ -1926,7 +1948,7 @@ static struct setting settings[] = {
              "When playing a scenario which defines player start positions, "
              "this setting cannot be set to greater than the number of "
              "defined start positions."),
-          NULL, maxplayers_callback, NULL,
+          nullptr, maxplayers_callback, nullptr,
           GAME_MIN_MAX_PLAYERS, GAME_MAX_MAX_PLAYERS, GAME_DEFAULT_MAX_PLAYERS)
 
   GEN_INT("aifill", game.info.aifill,
